
TYPO3.Fluid - Feature # 33487
Author: Soren Malling Category: Core
Created: 2012-01-27 Assigned To: Bastian Waidelich
Updated: 2013-07-29 Due date:
Has patch: No
Subject: Configure from what package to use Templates/Partial/Layouts
Description

This could be considered as a discussion, and not a final feature request.

My feature wish, is to make is possible to configurate from which package to use templates/partials/layout file.

Purpose:

Create a application, and create a secondary application only containing the template files/different layout.

This is most likely possible through AOP, but wouldn't it make sense to have it as a actual configuration property?

Related issues:
related to TYPO3.Fluid - Task # 11969: Make widgets' template configurable Closed 2011-04-01
related to TYPO3.Flow - Feature # 42176: Improve resolving of view Resolved 2012-10-19
related to TYPO3.Fluid - Feature # 39870: Allow configuration of template pat... Resolved 2012-08-16
duplicated by TYPO3.Fluid - Feature # 54155: f:render partial="" package="" Rejected 2013-12-03

History
#1 - 2012-12-04 14:05 - Soren Malling

As you can't create you own module for Neos and using the BackendSubModule layout from the TYPO3.TYPO3 package, I bump this issue so it
might some attention.

Or do you have any alternative solution?

<f:layout name="BackendSubModule" package="TYPO3.TYPO3" />

#2 - 2012-12-04 14:36 - Bastian Waidelich

FYI: have a look at #42176

#3 - 2013-07-29 13:58 - Bastian Waidelich
- Status changed from New to Closed
- Assigned To set to Bastian Waidelich

This will be possible with #42176 and #39870
Frankly it won't be possible to define the Package in the f:* tag, but with the flexible Views.yaml implementation you'll be able to target any request
